echo "Preparing patches files..."
echo "Creating environment variables..."
TP_DIR=/appl/virtuo/admin/techpacks/UMTS_Ericsson_MGW_R5.1/3.0.0
echo "Completed - Creating environment variables..."

#Backup old files
echo "Backing up original 3.0.0 files..."
mkdir -p $TP_DIR/backup $TP_DIR/backup/reports
cp -r $TP_DIR/loadmaps $TP_DIR/backup
cp -r $TP_DIR/metalayer $TP_DIR/backup
cp -r $TP_DIR/reports/Raw-MGW_Accessibility_and_Retainability_Report* $TP_DIR/backup/reports
tar cvf $TP_DIR/3.0.0_backup.tar $TP_DIR/backup
gzip $TP_DIR/3.0.0_backup.tar
rm -rf $TP_DIR/backup
echo "Completed - Backing up original 3.0.0 files..."

# Replace new files 
echo "Copying 3.0.1 patched files..."
cp -r patched_files/* $TP_DIR
echo "Completed - Copying 3.0.1 patched files..."






